# create-nodeschool

A more guided way to install NodeSchool workshoppers from your command line.

## Usage

Via `npm init`:

```bash
npm init nodeschool # Interactive prompt
# OR
npm init nodeschool core # will ask which of the core workshoppers to install
# OR
npm init nodeschool electives # will ask which of the elective workshoppers to install
# OR
npm init nodeschool install <workshopper..> # will install the specified workshopper
```

Via global install:

```bash
npm i -g create-nodeschool
nodeschool # Interactive prompt
# OR
nodeschool core # will ask which of the core workshoppers to install
# OR
nodeschool electives # will ask which of the elective workshoppers to install
# OR
nodeschool install <workshoppers..> # will install the specified workshopper
```

## Commands

All commands can be used via `nodeschool` (when the module is installed globally) and via `npm init nodeschool`.

### Bare (no arguments passed)

* **npm init Syntax**: `npm init nodeschool`
* **Global Syntax**: `nodeschool`
* **Purpose**: Introduce the user to an interactive CLI that allows them to install specific individual workshoppers, dig deeper into just the core workshoppers, or dig deeper into the set of elective workshoppers.

### `core`

* **npm init Syntax**: `npm init nodeschool core`
* **Global Syntax**: `nodeschool core`
* **Purpose**: Introduce the user to an interactive CLI that allows them to pick from the core workshoppers.

### `electives`

* **npm init Syntax**: `npm init nodeschool electives`
* **Global Syntax**: `nodeschool electives`
* **Purpose**: Introduce the user to an interactive CLI that allows them to pick from the elective workshoppers.

### `install [workshoppers..]`

* **npm init Syntax**: `npm init nodeschool install [workshoppers..]`
* **Global Syntax**: `nodeschool install [workshoppers..]`
* **Purpose**: Install specific workshoppers rapidly
* **Example**: `nodeschool install learnyounode javascripting expressworks`
